<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; folder-structure 0.0.post1.dev1+g08229bb.d20231212 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=9da889c1"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#B"><strong>B</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#K"><strong>K</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 
</div>
<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.build">build() (folder_structure.folder.Folder method)</a>

      <ul>
        <li><a href="api/folder_structure.html#folder_structure.cli.build">(in module folder_structure.cli)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder">Folder (class in folder_structure.folder)</a>
</li>
      <li>
    folder_structure

      <ul>
        <li><a href="api/folder_structure.html#module-folder_structure">module</a>
</li>
      </ul></li>
      <li>
    folder_structure.cli

      <ul>
        <li><a href="api/folder_structure.html#module-folder_structure.cli">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    folder_structure.folder

      <ul>
        <li><a href="api/folder_structure.html#module-folder_structure.folder">module</a>
</li>
      </ul></li>
      <li>
    folder_structure.schema

      <ul>
        <li><a href="api/folder_structure.html#module-folder_structure.schema">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.schema.Schema.generate">generate() (folder_structure.schema.Schema static method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.id">id (folder_structure.folder.Folder attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.schema.Schema.is_folder">is_folder() (folder_structure.schema.Schema static method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="K">K</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.schema.Schema.knownClasses">knownClasses (folder_structure.schema.Schema attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.cli.main">main() (in module folder_structure.cli)</a>
</li>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.model_config">model_config (folder_structure.folder.Folder attribute)</a>
</li>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.model_fields">model_fields (folder_structure.folder.Folder attribute)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="api/folder_structure.html#module-folder_structure">folder_structure</a>
</li>
        <li><a href="api/folder_structure.html#module-folder_structure.cli">folder_structure.cli</a>
</li>
        <li><a href="api/folder_structure.html#module-folder_structure.folder">folder_structure.folder</a>
</li>
        <li><a href="api/folder_structure.html#module-folder_structure.schema">folder_structure.schema</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.name">name (folder_structure.folder.Folder attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.parent">parent (folder_structure.folder.Folder attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.cli.parse_args">parse_args() (in module folder_structure.cli)</a>
</li>
      <li><a href="api/folder_structure.html#folder_structure.folder.Folder.path">path() (folder_structure.folder.Folder method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.cli.run">run() (in module folder_structure.cli)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.schema.Schema">Schema (class in folder_structure.schema)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/folder_structure.html#folder_structure.cli.setup_logging">setup_logging() (in module folder_structure.cli)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">folder-structure</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
    </div>

    

    
  </body>
</html>